--- imlib.SlackBuild	2006-04-03 20:41:59.000000000 -0400
+++ imlib.SlackBuild.s390x	2005-12-30 20:01:36.000000000 -0500
@@ -12,7 +12,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -22,10 +22,11 @@
 rm -rf imlib-$VERSION
 tar xjvf $CWD/imlib-$VERSION.tar.bz2
 cd imlib-$VERSION
-chown -R root:root .
+chown -R root.root .
 find . -perm 777 -exec chmod 755 {} \;
 CFLAGS="$SLKCFLAGS" \
 ./configure --prefix=/usr \
+            --libdir=/usr/lib64 \
             --sysconfdir=/etc
 make
 make install DESTDIR=$PKG
@@ -33,6 +34,7 @@
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 )
+chown -R root.bin $PKG/usr/bin
 gzip -9 $PKG/usr/man/man1/*
 mkdir -p $PKG/usr/doc/imlib-$VERSION
 cp -a \
